org.springframework.jdbc.datasource

## Interface ConnectionHandle

All Known Implementing Classes:
  SimpleConnectionHandle

    public interface ConnectionHandle

Simple interface to be implemented by handles for a JDBC Connection. Used by JdoDialect, for example.

Since:
  1.1
Author:
  Juergen Hoeller
See Also:
  `SimpleConnectionHandle`, `ConnectionHolder`, `JdoDialect.getJdbcConnection(javax.jdo.PersistenceManager, boolean)`

### Method Summary

Methods
`Connection` `getConnection()` Fetch the JDBC Connection that this handle refers to.
`void` `releaseConnection(Connection con)` Release the JDBC Connection that this handle refers to.

### Method Detail

#### getConnection

    Connection getConnection()

Fetch the JDBC Connection that this handle refers to.

#### releaseConnection

    void releaseConnection(Connection con)

Release the JDBC Connection that this handle refers to.

Parameters:
  `con` - the JDBC Connection to release